Package com.google.debugging.sourcemap.proto

# Interface Mapping.OriginalMappingOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Mapping.OriginalMapping`, `Mapping.OriginalMapping.Builder`

Enclosing class:
  `Mapping`

public static interface Mapping.OriginalMappingOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnPosition()`
The column number on the line.
`String`
`getIdentifier()`
The original name of the identifier.
`com.google.protobuf.ByteString`
`getIdentifierBytes()`
The original name of the identifier.
`int`
`getLineNumber()`
The line in the original file.
`String`
`getOriginalFile()`
The original source file.
`com.google.protobuf.ByteString`
`getOriginalFileBytes()`
The original source file.
`boolean`
`hasColumnPosition()`
The column number on the line.
`boolean`
`hasIdentifier()`
The original name of the identifier.
`boolean`
`hasLineNumber()`
The line in the original file.
`boolean`
`hasOriginalFile()`
The original source file.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasOriginalFile

boolean hasOriginalFile()

     The original source file.

`optional string original_file = 1;`

Returns:
  Whether the originalFile field is set.

### getOriginalFile

String getOriginalFile()

     The original source file.

`optional string original_file = 1;`

Returns:
  The originalFile.

### getOriginalFileBytes

com.google.protobuf.ByteString getOriginalFileBytes()

     The original source file.

`optional string original_file = 1;`

Returns:
  The bytes for originalFile.

### hasLineNumber

boolean hasLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Returns:
  Whether the lineNumber field is set.

### getLineNumber

int getLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Returns:
  The lineNumber.

### hasColumnPosition

boolean hasColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Returns:
  Whether the columnPosition field is set.

### getColumnPosition

int getColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Returns:
  The columnPosition.

### hasIdentifier

boolean hasIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Returns:
  Whether the identifier field is set.

### getIdentifier

String getIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Returns:
  The identifier.

### getIdentifierBytes

com.google.protobuf.ByteString getIdentifierBytes()

     The original name of the identifier.

`optional string identifier = 4;`

Returns:
  The bytes for identifier.